/*** PCL_C.H ***/

#define PROTOTYPES 1


#if PROTOTYPES

/* External Library Function Prototypes */

extern int far SioBaud(int Port, int BaudCode);
extern int far SioBrkKey();
extern int far SioBrkSig(int Port, char Cmd);
extern int far SioCrtWrite(char Ch);
extern int far SioCTS(int Port);
extern int far SioDCD(int Port);
extern int far SioDSR(int Port);
extern int far SioDTR(int Port, char Cmd);
extern int far SioDelay(int Tics);
extern int far SioDone(int Port);
extern int far SioError(int Code);
extern int far SioGetc(int Port, int Tics);
extern int far SioKeyPress();
extern int far SioKeyRead();
extern int far SioLine(int Port);
extern int far SioLoopBack(int Port);
extern int far SioModem(int Port, char Mask);
extern int far SioParms(int Port, int ParityCode,
                        int StopBitsCode, int WordLengthCode);
extern int far SioPutc(int Port, char Ch);
extern int far SioRTS(int Port, char Cmd);
extern int far SioReset(int Port, int BaudCode);
extern int far SioRI(int Port);
extern int far SioRxBuf(int Port, char far *Buffer, int SizeCode);
extern int far SioRxFlush(int Port);
extern int far SioRxQue(int Port);
extern long far SioTimer();
extern int far SioUnGetc(int Port, char Ch);

#else

/* External Library Functions */

extern int far SioBaud();
extern int far SioBrkKey();
extern int far SioBrkSig();
extern int far SioCrtWrite();
extern int far SioCTS();
extern int far SioDCD();
extern int far SioDSR();
extern int far SioDTR();
extern int far SioDelay();
extern int far SioDone();
extern int far SioError();
extern int far SioGetc();
extern int far SioKeyPress();
extern int far SioKeyRead();
extern int far SioLine();
extern int far SioLoopBack();
extern int far SioModem();
extern int far SioParms();
extern int far SioPutc();
extern int far SioRTS();
extern int far SioReset();
extern int far SioRI();
extern int far SioRxBuf();
extern int far SioRxFlush();
extern int far SioRxQue();
extern long far SioTimer();
extern int far SioUnGetc();

#endif

/* Port Codes */

#define COM1 0
#define COM2 1
#define COM3 2
#define COM4 3

/* Baud Rate Codes */

#define Baud300 0
#define Baud600 1
#define Baud1200 2
#define Baud2400 3
#define Baud4800 4
#define Baud9600 5
#define Baud19200 6
#define Baud38400 7
#define Baud57600 8
#define Baud115200 9

#define NORESET -1

/* Parity Codes */

#define NoParity 0
#define OddParity  1
#define EvenParity 3

/* Stop Bit Codes */

#define OneStopBit  0
#define TwoStopBits 1

/* Word Length Codes */

#define WordLength5  0
#define WordLength6  1
#define WordLength7  2
#define WordLength8  3

/* Buffer Size Codes */

#define Size8    0
#define Size16   1
#define Size32   2
#define Size64   3
#define Size128  4
#define Size256  5
#define Size512  6
#define Size1024 7
#define Size2048 8
#define Size4096 9
#define Size8192 10
#define Size16384 11

/* Line Status Masks */

#define TransBufferEmpty 0x20
#define BreakDetect  0x10
#define FramingError 0x08
#define ParityError  0x04
#define OverrunError 0x02
#define DataReady    0x01

/* Modem Status Masks */

#define DCD 0x80
#define RI  0x40
#define DSR 0x20
#define CTS 0x10
#define DeltaDCD 0x08
#define DeltaRI  0x04
#define DeltaDSR 0x02
#define DeltaCTS 0x01

/* Break Signal Commands */

#define ASSERT 'A'
#define CANCEL 'C'
#define DETECT 'D'

/* SioDTR & SioRTS Commands */

#define SET 'S'
#define CLEAR 'C'
#define READ 'R'
